Page MenuHomePhabricator

[Epic] Align terminology and user experience in Jade code with Jade pitch
Closed, ResolvedPublic

Description

In the Jade pitch deck, we establish an overall direction with Jade. This epic is about bringing the user experience of Jade, as well as the underlying code, in line with the stated direction of Jade. This is mostly about replacing "judgment" with "label" and things that imply that Jade is only meant to be used in a specific domain (e.g. refuting ORES scores). (I am not totally sure if we do that in the code but I want to cover my bases.)

Pitch deck: https://docs.google.com/presentation/d/1xR6YHtV-vPpi6twh4iQJd34um-iJoo-FMchc8RRsLHY

Process document for more (less interesting) information: https://docs.google.com/document/d/1T97c8EgC7hckHLMngRLBIwcvE-Rl05Loii8OgYLdi5Y


Original task:

In T200365, we're discussing a new name to replace "judgment". This task is complete when we've made the substitution everywhere in code, documentation, and the beta cluster test data has been migrated.

We have decided on a new name, "Label." This task tracks completely updating all references in the code and documentation.

Event Timeline

awight triaged this task as Normal priority.Dec 18 2018, 12:55 AM
awight created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2018, 12:55 AM
awight removed a subscriber: awight.Mar 21 2019, 4:05 PM
Harej claimed this task.Mar 25 2019, 4:47 PM
Harej raised the priority of this task from Normal to High.
Harej added a subscriber: awight.
Harej renamed this task from Rename the "Judgment" namespace to [new label] to Rename the "Judgment" namespace to "Label".Apr 19 2019, 2:32 AM
Harej removed Harej as the assignee of this task.
Harej updated the task description. (Show Details)
Harej edited subscribers, added: Harej; removed: awight.
Harej renamed this task from Rename the "Judgment" namespace to "Label" to [Epic] Align terminology and user experience in Jade code with Jade pitch.Jul 4 2019, 9:05 AM
Harej updated the task description. (Show Details)
Harej removed a subscriber: Harej.
Harej added a subscriber: Harej.Jul 4 2019, 9:27 AM
Harej removed a subscriber: Harej.
Halfak closed this task as Resolved.Tue, Aug 6, 8:43 PM
Halfak claimed this task.